All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.connection
Class ConnectionFactoryManager

    com.sas.services.connection.ConnectionFactoryManager

Direct Known Subclasses:
  PlatformConnectionFactoryManager

    public class ConnectionFactoryManager

A factory of connection factories. This class creates `connection factories` that match a desired `configuration`.

Field Summary
`static ConnectionFactoryManager` | `defaultManager` The default connection factory manager.

Constructor Summary
`ConnectionFactoryManager()` Construct a new connection factory manager.

Method Summary
`protected void` | `activateShell(com.sas.services.connection.ConnectionFactoryShell shell, ConnectionFactoryConfiguration cxfConfig, com.sas.services.connection.LoggerFactory loggerFactory)`
`static ConnectionFactoryInterface` | `getConnectionFactory(ConnectionFactoryConfiguration cxfConfig)` Creates a connection factory that matches a desired configuration.
`static java.lang.String` | `getConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)` Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
`ConnectionFactoryInterface` | `getFactory(ConnectionFactoryConfiguration cxfConfig)` Creates a connection factory that matches a desired configuration.
`java.lang.String` | `getFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)` Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.
`protected void` | `removeKernel(com.sas.services.connection.ConnectionFactoryKernel kernel)`

Field Detail

### defaultManager

    public static ConnectionFactoryManager defaultManager

  The default connection factory manager.

Constructor Detail

### ConnectionFactoryManager

    public ConnectionFactoryManager()

  Construct a new connection factory manager.

Method Detail

### getFactoryLoggerName

    public final java.lang.String getFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)

  Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.

  Get the name of the logger that is unique given this manager and the specified configuration.

  Parameters:
    `cxfConfig` - the desired configuration. Cannot be null.
  Returns:
    a unique logger name

### getFactory

    public final ConnectionFactoryInterface getFactory(ConnectionFactoryConfiguration cxfConfig)
                                                throws ConnectionFactoryException

  Creates a connection factory that matches a desired configuration. The factory will be managed by this connection factory manager. If such a connection factory already exists in this manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.

  Parameters:
    `cxfConfig` - the desired configuration. Cannot be null.
  Returns:
    a connection factory matching the desired configuration
  Throws:
    `ConnectionFactoryException` - if the configuration is invalid

### getConnectionFactoryLoggerName

    public static java.lang.String getConnectionFactoryLoggerName(ConnectionFactoryConfiguration cxfConfig)

  Deprecated. all connection factory and connection activity is logged on loggers named `com.sas.services.connection` and `com.sas.iom.orb`, respectively. The logger with the name returned by this method will not be used by the factory created from the specified configuration.

  Get the name of the logger that is unique given the default manager and the specified configuration.

  Parameters:
    `cxfConfig` - the desired configuration. Cannot be null.
  Returns:
    a unique logger name

### getConnectionFactory

    public static ConnectionFactoryInterface getConnectionFactory(ConnectionFactoryConfiguration cxfConfig)
                                                           throws ConnectionFactoryException

  Creates a connection factory that matches a desired configuration. The factory will be managed by the default connection factory manager. If such a connection factory already exists in the default manager's factory set, and if it has not been shutdown or destroyed, a reference to it will be returned instead.

  Parameters:
    `cxfConfig` - the desired configuration. Cannot be null.
  Returns:
    a connection fatory matching the desired configuration
  Throws:
    `ConnectionFactoryException` - if the configuration is invalid

### activateShell

    protected final void activateShell(com.sas.services.connection.ConnectionFactoryShell shell,
                                       ConnectionFactoryConfiguration cxfConfig,
                                       com.sas.services.connection.LoggerFactory loggerFactory)
                                throws ConnectionFactoryException

  Throws:
    `ConnectionFactoryException`

### removeKernel

    protected final void removeKernel(com.sas.services.connection.ConnectionFactoryKernel kernel)

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.